## org.biojava.bridge.Biocorba.Seqcore
Class SeqFeatureImpl

    java.lang.Object
      |
      +--org.biojava.bridge.GNOME.UnknownImpl
            |
            +--org.biojava.bridge.Biocorba.Seqcore.SeqFeatureImpl

public class SeqFeatureImpl
extends UnknownImpl
implements _SeqFeature_Operations

Constructor Summary
`SeqFeatureImpl(Seq parentSeq, Feature feature)`

Method Summary
`int` `end(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`PrimarySeq` `get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`Feature` `getFeature()`
`boolean` `PrimarySeq_is_available(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`NameValueSet[]` `qualifiers(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`java.lang.String` `seq_primary_id(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`java.lang.String` `source(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`int` `start(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`short` `strand(org.omg.CORBA.portable.ObjectImpl seqFeature)`
`java.lang.String` `type(org.omg.CORBA.portable.ObjectImpl seqFeature)`

Methods inherited from class org.biojava.bridge.GNOME.UnknownImpl
`query_interface, ref, unref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeqFeatureImpl

    public SeqFeatureImpl(Seq parentSeq,
                          Feature feature)

Method Detail

### getFeature

    public Feature getFeature()

### type

    public java.lang.String type(org.omg.CORBA.portable.ObjectImpl seqFeature)

  Specified by:
    type in interface _SeqFeature_Operations

### source

    public java.lang.String source(org.omg.CORBA.portable.ObjectImpl seqFeature)

  Specified by:
    source in interface _SeqFeature_Operations

### seq_primary_id

    public java.lang.String seq_primary_id(org.omg.CORBA.portable.ObjectImpl seqFeature)

  Specified by:
    seq_primary_id in interface _SeqFeature_Operations

### start

    public int start(org.omg.CORBA.portable.ObjectImpl seqFeature)

  Specified by:
    start in interface _SeqFeature_Operations

### end

    public int end(org.omg.CORBA.portable.ObjectImpl seqFeature)

  Specified by:
    end in interface _SeqFeature_Operations

### strand

    public short strand(org.omg.CORBA.portable.ObjectImpl seqFeature)

  Specified by:
    strand in interface _SeqFeature_Operations

### qualifiers

    public NameValueSet[] qualifiers(org.omg.CORBA.portable.ObjectImpl seqFeature)

  Specified by:
    qualifiers in interface _SeqFeature_Operations

### PrimarySeq_is_available

    public boolean PrimarySeq_is_available(org.omg.CORBA.portable.ObjectImpl seqFeature)

  Specified by:
    PrimarySeq_is_available in interface _SeqFeature_Operations

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl seqFeature)
                              throws UnableToProcess

  Specified by:
    get_PrimarySeq in interface _SeqFeature_Operations